API ReferenceTo Do Item
Update ToDo
PATCH
Update ToDo
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringToDoItem identifier
The updated ToDoItem resource
- body
name?stringLength
1 <= length <= 100isChecked?booleanToDoItem resource updated
- response
id?stringFormat
uuidweight?integername?stringLength
length <= 100isChecked?booleancheckedAt?|Format
date-timecurl -X PATCH 'https://app.icproject.com/api/instance/demo/user/to-do-items/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "weight": 0, "name": "string", "isChecked": true, "checkedAt": "2019-08-24T14:15:22Z"}